
/*----------------------------------------*/
/*  2.10 Offcanvas
/*----------------------------------------*/
.body-overlay {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 9999;
  width: 100%;
  height: 100%;
  background: rgba(24, 24, 24, 0.8);
  visibility: hidden;
  opacity: 0;
  transition: 0.45s ease-in-out;
}
.body-overlay.apply {
  opacity: 1;
  visibility: visible;
}
.body-overlay:hover {
  cursor: url(../img/cross-out.png), pointer;
}

.tpoffcanvas {
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  position: fixed;
  top: 0;
  right: -100%;
  width: 480px;
  bottom: 0;
  box-shadow: 0 16px -32px 0 rgba(0, 0, 0, 0.8);
  background-color: var(--tp-common-black);
  z-index: 999999;
  padding: 50px;
  scrollbar-width: none;
  opacity: 0;
  visibility: hidden;
  transition: 0.45s ease-in-out;
  overflow-y: scroll;
}
.tpoffcanvas .homemenu {
  margin-bottom: 30px;
}
.tpoffcanvas .tp-main-menu-mobile {
  margin-bottom: 50px;
}
.tpoffcanvas.opened {
  opacity: 1;
  visibility: visible;
}
@media (max-width: 767px) {
  .tpoffcanvas {
    width: 300px;
    padding: 40px 35px;
  }
}
@media only screen and (min-width: 576px) and (max-width: 767px) {
  .tpoffcanvas {
    width: 400px;
    padding: 40px;
  }
}
.tpoffcanvas.opened {
  right: 0;
  -webkit-transition: all 0.4s cubic-bezier(0.785, 0.135, 0.15, 0.86);
  -moz-transition: all 0.4s cubic-bezier(0.785, 0.135, 0.15, 0.86);
  transition: all 0.4s cubic-bezier(0.785, 0.135, 0.15, 0.86);
  transition-duration: 0.6s;
}
.tpoffcanvas__title p {
  font-size: 18px;
  color: rgba(255, 255, 255, 0.49);
  font-weight: 500;
  line-height: 1.6;
  margin-bottom: 50px;
}
@media (max-width: 767px) {
  .tpoffcanvas__title p {
    font-size: 17px;
  }
}
.tpoffcanvas__contact-title h5 {
  font-size: 14px;
  color: #888888;
  font-weight: 700;
  text-transform: uppercase;
  letter-spacing: 2px;
  margin-bottom: 30px;
  display: inline-block;
}
.tpoffcanvas__input-title h4 {
  font-size: 14px;
  color: #888888;
  font-weight: 700;
  text-transform: uppercase;
  letter-spacing: 2px;
  margin-bottom: 30px;
  display: inline-block;
}
.tpoffcanvas__input {
  margin-bottom: 100px;
}
.tpoffcanvas__input input {
  background: rgba(118, 118, 130, 0.3);
  border: transparent;
  height: 60px;
  width: 100%;
  padding-left: 20px;
  padding-right: 80px;
  color: var(--tp-common-white);
}
.tpoffcanvas__input button {
  height: 60px;
  width: 60px;
  background-color: var(--tp-theme-1);
  color: var(--tp-common-white);
  font-size: 16px;
  position: absolute;
  top: 0;
  right: 0;
}
.tpoffcanvas__contact-info {
  margin-bottom: 50px;
}
.tpoffcanvas__contact-info ul li {
  font-size: 16px;
  color: var(--tp-common-white);
  margin-bottom: 15px;
  list-style-type: none;
}
@media (max-width: 767px) {
  .tpoffcanvas__contact-info ul li {
    font-size: 14px;
  }
}
.tpoffcanvas__contact-info ul li:last-child {
  margin-bottom: 0;
}
.tpoffcanvas__contact-info ul li a {
  margin-left: 10px;
  transition: 0.3s;
}
.tpoffcanvas__contact-info ul li a:hover {
  color: var(--tp-theme-2);
}
.tpoffcanvas__logo {
  margin-bottom: 60px;
}
@media only screen and (min-width: 768px) and (max-width: 991px) {
  .tpoffcanvas__logo {
    padding-top: 0;
  }
}
@media (max-width: 767px), only screen and (min-width: 768px) and (max-width: 991px) {
  .tpoffcanvas__logo {
    padding-top: 0;
  }
}
.tpoffcanvas__close-btn button {
  position: absolute;
  right: 30px;
  top: 30px;
  transition: 1s;
  -webkit-transition: all 0.4s cubic-bezier(0.785, 0.135, 0.15, 0.86);
  -moz-transition: all 0.4s cubic-bezier(0.785, 0.135, 0.15, 0.86);
  transition: all 0.4s cubic-bezier(0.785, 0.135, 0.15, 0.86);
  transition-duration: 0.3s;
  height: 40px;
  width: 40px;
  line-height: 45px;
  background-color: var(--tp-common-white);
  color: var(--tp-common-black);
}
.tpoffcanvas__close-btn button:hover i {
  transform: rotate(360deg);
}
.tpoffcanvas__close-btn button i {
  font-weight: 300;
  font-size: 20px;
  transition: 0.9s;
}
.tpoffcanvas__social {
  margin-top: 30px;
}
.tpoffcanvas__social .social-icon a {
  height: 55px;
  width: 55px;
  line-height: 58px;
  text-align: center;
  font-size: 16px;
  background-color: rgba(251, 251, 253, 0.08);
  color: var(--tp-common-white);
  margin-right: 15px;
  transition: 0.3s;
  display: inline-block;
  border-radius: 50%;
}
@media (max-width: 767px) {
  .tpoffcanvas__social .social-icon a {
    margin-right: 3px;
    height: 50px;
    width: 50px;
    line-height: 53px;
    font-size: 15px;
  }
}
.tpoffcanvas__social .social-icon a:hover {
  background-color: var(--tp-theme-1);
  color: var(--tp-common-white);
}

